> For the complete documentation index, see [llms.txt](https://docs.teranode.group/tng-identity-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.teranode.group/tng-identity-documentation/tng-identity-verifier/verifier-api/api-documentation/agent.md).

# Agent

## GET /public/did

> This endpoint facilitates the retrieval of a DID document id.

```json
{"openapi":"3.0.0","info":{"title":"Identity Verifier Backend Documentation","version":"dev"},"servers":[{"url":"{hostname}","description":"Verifier Backend REST API Server","variables":{"hostname":{"default":"https://identity.nchainplatform.com/products/web/$IDENTITY_ENV_ID/verifier/api"}}}],"paths":{"/public/did":{"get":{"operationId":"AgentPublicController_getDid","summary":"","description":"This endpoint facilitates the retrieval of a DID document id.","parameters":[],"responses":{"200":{"description":"","content":{"text/plain":{}}},"503":{"description":"The agent service is unavailable"}},"tags":["Agent"]}}}}
```

## GET /public/getStatus

> Returns all the information needed to see the status of the services running

```json
{"openapi":"3.0.0","info":{"title":"Identity Verifier Backend Documentation","version":"dev"},"servers":[{"url":"{hostname}","description":"Verifier Backend REST API Server","variables":{"hostname":{"default":"https://identity.nchainplatform.com/products/web/$IDENTITY_ENV_ID/verifier/api"}}}],"paths":{"/public/getStatus":{"get":{"operationId":"AgentPublicController_getStatus","summary":"","description":"Returns all the information needed to see the status of the services running","parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetStatusDetailDto"}}}},"503":{"description":"The agent service is unavailable"}},"tags":["Agent"]}}},"components":{"schemas":{"GetStatusDetailDto":{"type":"object","properties":{"state":{"type":"string","description":"What state is the Agent in","enum":["starting","running","did_resolving"]},"did":{"$ref":"#/components/schemas/GetStatusDidDetailDto"},"started":{"type":"string","description":"Agent started date with timestamp in ISO"},"timestamp":{"type":"string","description":"Current date with timestamp in ISO"},"version":{"$ref":"#/components/schemas/GetStatusVersionDetailDto"}}},"GetStatusDidDetailDto":{"type":"object","properties":{"did":{"type":"string","description":"Primary did the api is working with"},"ready":{"type":"boolean","description":"Is the DID ready to use"},"controller":{"type":"string","description":"Controller in use"},"resolver":{"type":"string","description":"Resolver in use"}}},"GetStatusVersionDetailDto":{"type":"object","properties":{"version":{"type":"string","description":"Current version of the application"},"commit":{"type":"string","description":"Commit hash of the version"},"development":{"type":"boolean","description":"Defines if the current version is a development build"},"buildTime":{"type":"string","description":"Date of build date with timestamp in ISO"}}}}}}
```
